sgcount(1)

NAME
sgcount - LT NSL program for counting the number of SGML elements

SYNOPSIS
usage: sgcount [-t] [-o [012]] [filename ...]

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. It is often useful to count the number of occurances of SGML markup in a file, for example when constructing <tagusage> entries for the TEI DTD. sgcount is intended to provide this information.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> An nSGML file : [<filename> or stdin]

Output ==> A text file containing frequencies of SGML elements
         (for format see below): [stdout]

OPTIONS

-t  Count only top level elements. This form is useful for counting matches found by e.g. sggrep.

SGCOUNT OUTPUT FORMAT
The output consists of lines of the form
<SGML elname> TAB <freq> TAB <idfreq>
where <freq> is the number of times that <SGML elname> occurs in the input file and <idfreq> is the number of times that it occurs with an explicit attribute of type ID.

SEE ALSO
ltxml(1), mknsg(1), sggrep(1), sgrpg(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.